{ lib, ... }:
with lib;
{
  options.machine = {
    gateway = mkOption {
      type = types.nullOr types.str;
      default = null;
      description = "Default network gateway";
    };

    ipv4 = mkOption {
      type = types.nullOr types.str;
      default = null;
      description = "Main IPv4 address";
    };
  };
}
